China factories

LED Origami Pendant Lamp Paper Craft Night Desk Book Light Wooden

Price: 611-691 Get Latest Price
  • Brand Name: ZhengMing / OEM/ODM
  • Model Number: M-001
  • Minimum Order Quantity: 10
  • Delivery Time: 15 work days
  • view more

Nordic Danish pendant lamp Bedside dining room lamp simple Balloon Pendant Lamp(WH-GP-138)

Price: 1-100USD Get Latest Price
  • Brand Name: Well House (LTCELE)
  • Model Number: WH-GP-138
  • Minimum Order Quantity: 1pcs
  • Delivery Time: 15-30 days
  • view more

Romantic Kids Children Bed Room Pendant Light Colourful Glass Balloon Led Ceiling Lamp

Price: φ250mm 13USD /UNIT Get Latest Price
  • Brand Name: BOLITE
  • Model Number: D50001
  • Minimum Order Quantity: 5Pieces
  • Delivery Time: 7-25DAYS
  • view more

Luminous Balloon Spanish Marble Pendant Lamp Decor Villa Living Room Magic Bean Bubble Marble Chandelier Grape Cluster

Price: Negotiable Get Latest Price
  • Brand Name: ZSHONORHIGH, SIDEREAL
  • Model Number: Negotiable
  • Minimum Order Quantity: 10pcs
  • Delivery Time: 25-30days or confirm
  • view more

Modern Pendant Lamp Atmosphere Lamp For Living Room And Hall Creative And Simple Bedroom Pendant Light Lamp

Price: Negotiation Get Latest Price
  • Brand Name: JYLIGHTING
  • Model Number: JYL2-1892
  • Minimum Order Quantity: 2 pcs
  • Delivery Time: 5-8 work days
  • view more

Nordic Origami Bedside Lamp Pleated Umbrella Table Light Vintage Minimal Lamps

Price: Negotiable(very competitive) Get Latest Price
  • Brand Name: GRH
  • Model Number: GRH-E001,GRH-RFC1004,GRH-RFC1005,GRH-RFC1011
  • Minimum Order Quantity: 1000 PCS
  • Delivery Time: 20 days to 50 days after received the deposit.
  • view more

220V / 230V 3.8M 12.5ft Moon Led Light Party Balloons With HMI Lamp Illuminate

Price: Nigotiation Get Latest Price
  • Brand Name: HAFE
  • Model Number: Moon HMI380
  • Minimum Order Quantity: 1unit
  • Delivery Time: 5-8working days
  • view more

Hafe International Limited

Hong kong ,Hong kong

  • 9YRS
  • Verified Supplier

DIY black modern led ring pendant lamp led ring chandelier droplight ceiling lamp for hotel decoration

Price: Negotiable Get Latest Price
  • Brand Name: AIA LED
  • Model Number: PD801-B
  • Minimum Order Quantity: 30PCS
  • Delivery Time: 15-35days of LED Pendant light
  • view more

balloon shape kids lamp

Price: 3.7usd Get Latest Price
  • Brand Name: Winsame
  • Model Number: GD819
  • Minimum Order Quantity: 500
  • Delivery Time: 20-30 days
  • view more

110-240V Voltage Customized Pendant Lamp with Metal Finish and Craftsmanship

Price: Negotiable Get Latest Price
  • Brand Name: Negotiable
  • Model Number: Negotiable
  • Minimum Order Quantity: Negotiable
  • Delivery Time: Negotiable
  • view more

Complete Cable Suspension Kit Stainless Steel Wire Rope 1.5mm Hanging System for LED Pendant Lamp Fixtures

Price: USD 1.45 - 1.65 / Set Get Latest Price
  • Brand Name: YuYang
  • Model Number: YuYang-1.5MM
  • Minimum Order Quantity: 100 Sets
  • Delivery Time: 7-15 working days after deposit
  • view more

110Lumen per watt LED Pendant lamp 110W IP66 With adjustable bracket, GS, CE, DLC cetificated

Price: Negotiable Get Latest Price
  • Brand Name: MF
  • Model Number: MF-GS100
  • Minimum Order Quantity: 100PCS
  • Delivery Time: Depends on orders
  • view more

Ming Feng Lighting Co.,Ltd.

Dongguan ,Guangdong

  • 13YRS
  • Verified Supplier

Customized Design Bronze Body Pendant Lamp with 50000 Hours Lifespan for Modern Luxury Chandelier

Price: €339.36-848.40 Get Latest Price
  • Brand Name: Yihao
  • Model Number: Ym-328149
  • Minimum Order Quantity: 1
  • Delivery Time: Negotiable
  • view more

Brass Adjustable Led Hanging Kit Cable Gripper Steel Wire Rope Ceiling Cable Clip for Pendant Lamp

Price: $0.39-0.45 Get Latest Price
  • Brand Name: Meiyan
  • Model Number: CABEL GRIPPER
  • Minimum Order Quantity: 500
  • Delivery Time: Negotiable
  • view more

No Strobe 2835 SMD Pendant Lamp G9 4W 2700K 400lm Bulb

Price: USD0.70-USD0.90 Get Latest Price
  • Brand Name: Filamentlux
  • Model Number: FML-003
  • Minimum Order Quantity: 3000PCS
  • Delivery Time: 20-25days
  • view more

Nickel / Chrome Light Hanging Kit Accessories , Quick Mounting Pendant Lamp Kit

Price: Negotiation Get Latest Price
  • Brand Name: W-mate
  • Model Number: CLS-112
  • Minimum Order Quantity: 1000pcs
  • Delivery Time: 10-15Work Days
  • view more

Modern Design Style High-End Decorative Pendant Lamps Wall Lights for Bedroom Living Room for Service Apartments Ready Move

Price: ≥5 sets $28-100 Get Latest Price
  • Brand Name: Negotiable
  • Model Number: EG-BED1050
  • Minimum Order Quantity: ≥5sets
  • Delivery Time: 4 work days
  • view more

LED Solar Pendant Lamp For Home Garden Corridor And Other Lamp Luminous Efficiency

Price: $4.90/pieces 10-49 pieces Get Latest Price
  • Brand Name: Negotiable
  • Model Number: Negotiable
  • Minimum Order Quantity: 10 pieces
  • Delivery Time: Negotiable
  • view more

LED Linear lighting Recessed lights Led Strip Aluminum Profile Indoor Pendant Lamp

Price: Welcome to your inquiry Get Latest Price
  • Brand Name: LEDCORP
  • Model Number: LC-A033
  • Minimum Order Quantity: 100M
  • Delivery Time: 5-8 working days
  • view more

Cell Phone , Pen Devices Recording 2-5m Ceiling Pendant Lamp Hidden Voice Recording Detector

Price: $1,457/pieces 2-9 pieces Get Latest Price
  • Brand Name: Bambi
  • Model Number: Negotiable
  • Minimum Order Quantity: 2 pieces
  • Delivery Time: Negotiable
  • view more